Este SDK de Android requiere Android Developer Toolkit versión 14.0.0 o superior. … Actualice ADT a la última versión

Por favor ayúdame con la fijación del siguiente error:

This Android SDK requires Android Developer Toolkit version 14.0.0 or above. Current version is 12.0.0.v201106281929-138431. Please update ADT to the latest version. 

Estoy enfrentando este problema de error cuando uso Eclipse.

7 Solutions collect form web for “Este SDK de Android requiere Android Developer Toolkit versión 14.0.0 o superior. … Actualice ADT a la última versión”

La razón es que usted ha actualizado sdk de Android, pero su complemento de adt de Android no está actualizado. Así que actualizar su plugin de Eclipse resolvería el problema.

Este error se produce debido a una incompatibilidad entre ADT y SDK.

Arreglarlo:

  1. Eclipse> Ayuda
  2. Instalar nuevo software
  3. Agregue esta sección para Trabajar con y presione enter
  4. Después de que las herramientas del desarrollador aparezcan en la lista, compruébelo y haga clic en Siguiente
  5. Reinicie el eclipse una vez finalizada la descarga

Problema similar ya fue discutido aquí: Eclipse: no me deja usar Android SDK, afirma erróneamente mi ADT está desfasada

  1. En Eclipse, vaya a Ayuda.
  2. Seleccione el elemento de menú "Instalar nuevo software".
  3. Desde este cuadro de diálogo, haga clic en el botón "Añadir …". Esto traerá un diálogo nuevo, más pequeño.
  4. Introduzca el nombre "ADT" y la ubicación: " https://dl-ssl.google.com/android/eclipse/ "
  5. Después de cargar obtendrá herramientas para desarrolladores y complementos NDK
  6. Compruebe ambos si desea o compruebe Herramientas de desarrollo.
  7. haga clic en Siguiente
  8. Aceptar licencias y Finalizar

Si no desea actualizar su versión de ADT, puede hacer esto para solucionar su problema.

Modifique $ {android-sdk} /tools/lib/plugin.prop plugin.version en su versión actual, reinicie eclipse.

 # begin plugin.prop plugin.version=22.3.0 # end plugin.prop 

disfrútala.

Para aquellos de ustedes que están experimentando este problema:

Eclipse dice que el ADT necesita una actualización – Usted hace clic para buscar actualizaciones – Le dice que no hay actualizaciones

Debe ejecutar Eclipse como administrador. Esto solucionará inmediatamente el problema.

Eclipse -> Ayuda -> Buscar actualizaciones

Revisa "Herramientas de desarrollo de Android" e instala la actualización

Como regla general, la versión de los complementos ADT en Eclipse se emparejan con una versión específica de SDK. No está muy bien documentado, pero si se actualiza uno en cualquier momento, es necesario actualizar el otro. El número de versión de las herramientas y los complementos suelen estar sincronizados, pero en algunos casos, no lo son. De hecho, ahora (27 de junio) el SDK es la versión 19 y los complementos son 18. Por supuesto, eso cambiará más tarde hoy cuando Google IO empiece. La intención es mantener los números de versión sincronizados, pero no siempre funciona de esa manera.

Puede obtener las versiones anteriores de ADT y / o SDK desde el sitio de herramientas de Android. En algunos casos, usted tiene que averiguar el secreto de la URL para descargar directamente los paquetes más antiguos, pero están allí.

No debería ser necesario sin embargo. Los complementos y el SDK funcionan con todas las versiones anteriores de la plataforma, por lo que siempre debe estar seguro instalando el SDK y los complementos más recientes directamente desde el sitio de desarrolladores de Android.

  • Eliminar paquetes de SDK de Android de la línea de comandos
  • ¿Cómo degradar mi versión de SDK?
  • Administrador SDK de Android no instala componentes
  • utilizando onBackPressed () con compatibilidad con versiones anteriores
  • Actualizar Android SDK Tool a 22.0.4 (última versión) desde 22.0.1
  • Algunos problemas con buildToolsVersion 23.0.1
  • AssembleDebug error en Android Studio
  • ¿Cómo puedo emular la red 4G (LTE) en Android SDK
  • Android facebook sdk - establece permisos para openActiveSession
  • Cómo configurar Android sdk desde la línea de comandos en servidor sin cabeza?
  • ¿Cuál es la mejor manera de incluir un número de compilación para el seguimiento de Google Analytics de la aplicación nativa?
  • FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.